/*
 * init.c: early initialisation code for R39XX Class PDAs
 *
 * Copyright (C) 1999 Harald Koerfgen
 *
 * $Id: init.c,v 1.3 2000/05/03 02:05:59 nop Exp $
 */

#include <linux/init.h>
#include <linux/config.h>
#include <linux/kernel.h>
#include <asm/r39xx.h>

/*
 * It should be possible to make use of information which
 * the bootloader passed to us.
 */

extern void prom_meminit(void);
extern void prom_identify_arch(void);
extern void prom_init_cmdline(int, char **);

/*
 * Helpful for debugging :-)
 */
int __init prom_printf(const char * fmt, ...)
{
#ifdef CONFIG_SERIAL
	extern void serial_outc(char);
	static char buf[1024];
	va_list args;
	char c;
	int i = 0;

	/*
	 * Printing messages via serial port
	 */
	va_start(args, fmt);
	vsprintf(buf, fmt, args);
	va_end(args);

	for (i = 0; buf[i] != '\0'; i++) {
		c = buf[i];
		if (c == '\n')
			serial_outc('\r');
		serial_outc(c);
	}

	return i;
#else
	return 0;
#endif
}

/*
 * We don't really have a PROM which provides callbacks but this
 * needs to be here.
 */
int __init prom_init(int argc, char **argv)
{
#ifdef CONFIG_SERIAL
        /* For prom_printf() */
        init_uart();
#endif
	prom_identify_arch();
	prom_meminit();
	prom_init_cmdline(argc, argv);

	return 0;
}
