/*
 * linux/arch/mips/vr41xx/ite8181.c
 *
 * Platform support for the machine which LCD controler is ITE 8181
 *
 * Copyright (C) 2000 kei
 * Copyright (C) 2000 SATO Kazumi
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 */

#include <asm/io.h>
#include <asm/vr41xx.h>
#include <asm/vr41xx-platdep.h>

static int backlight, contrast, lcdpower;



int get_ite8181_backlight(void)
{
	return backlight;
}

int ite8181_backlight(int n)
{
	if(n == 0)
		;
		// Turn the backlight off.
	else
		;
		// Turn the backlight on.
	backlight = 0;
	return 0;
}

int get_ite8181_contrast(void)
{
	return contrast;
}

int ite8181_contrast(int n)
{
	// Turn the lcd on and some contrast.
	return 0;
}

int get_ite8181_lcdpower(void)
{
	return lcdpower;
}

int ite8181_lcdpower(int on)
{
	if (on)
		;	// lcd power on
	else
		;	// lcd power off
	return 0;
}

void ite8181_setup(void)
{
    volatile unsigned int * ite8181_config_base =
	(volatile unsigned int *)(VIDEORAM_BASE + ((8192 -1) * 1024));
    volatile unsigned char *ite8181_gui_base =
	(volatile unsigned char *)
	    (VIDEORAM_BASE + ite8181_config_base[0x14 / sizeof(unsigned int)]);
	// Disable Hardware Cursor (drawn by WinCE -- kei */
	ite8181_gui_base[0x100] = 0; // Cursor 1 Control Reg.

	ite8181_lcdpower(1);
	ite8181_contrast(7);
	ite8181_backlight(1);
}
